/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Blood Gas Saturation
 */
public enum EnumCV_BloodGasSaturation 
{
	// Blood Gas Saturation - CID 3526
	BLOOD_CARBON_DIOXIDE_SATURATION_122187("122187"),
	BLOOD_OXYGEN_SATURATION_20564_1("20564-1"),
	ARTERIAL_OXYGEN_SATURATION_2708_6("2708-6"),
	VENOUS_OXYGEN_SATURATION_2711_0("2711-0"),
	CAPILLARY_BLOOD_OXYGEN_SATURATION_2709_4("2709-4"),
	CAPILLARYBLOODOXYGENSATURATION_BYOXIMETRY_2710_2("2710-2");
	

	private String value;
	
	EnumCV_BloodGasSaturation(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
